Questo sito utilizza cookies, anche di terze parti, per mostrare pubblicità e servizi in linea con il tuo account. Leggi l'informativa sui cookies.
Username: Password: oppure
C# / VB.NET - [VB.NET] Creare pacchetto installazione...
Forum - C# / VB.NET - [VB.NET] Creare pacchetto installazione...

Avatar
Che Guevara (Normal User)
Pro


Messaggi: 117
Iscritto: 30/03/2006

Segnala al moderatore
Postato alle 16:34
Mercoledì, 29/07/2009
Salve a tutti,

Mi sono ritrovato a dover distribuire un pacchetto di
installazione di un mio programma...

Progetto -> Pubblica non mi soddisfa

allora ho provato ad integrare al mio progetto
un pacchetto di installazione ma non riesco
ad evitare la dipendenza dal framework 3.5
pur avendo impostato l'applicazione sul 2.0

Qualcuno sa indicarmi una guida o una pagina
web che fa al caso mio?


Fatti non foste a viver come bruti ma per seguire virtude e canoscienza.

Il computer del primo Modulo Lunare era potente non più di un cellulare dei nostri giorni.
Perchè WINDOWS VISTA ha bisogno di 2GB di ram per funzionare?
PM Quote
Avatar
BigMitch (Member)
Rookie


Messaggi: 43
Iscritto: 15/02/2009

Segnala al moderatore
Postato alle 23:43
Mercoledì, 29/07/2009
Ciao hai provato ad usare Inno Setup? Oppure a crearti un setup da visual studio...non so che versione hai di vb ma io uso vb 2005 professionale e nei progetti c'è la creazioen dei setup.

Cmq puoi vedere su questo sito:

http://forum.html.it/forum/showthread.php?threadid=1168361

Oppure puoi usare un programma che t'aiuta a crearli come CyberInstall Stubio che serve a creare pacchetti d'installazione per diversi progetti come VB6,VB.NET,C++ ti posto il link:

http://www.silvercybertech.com/italian/studio.html

Ciao e fammi sapere. :k:


Michele
PM Quote
Avatar
Che Guevara (Normal User)
Pro


Messaggi: 117
Iscritto: 30/03/2006

Segnala al moderatore
Postato alle 16:48
Giovedì, 30/07/2009
Testo quotato

Postato originariamente da BigMitch:

Ciao hai provato ad usare Inno Setup? Oppure a crearti un setup da visual studio...non so che versione hai di vb ma io uso vb 2005 professionale e nei progetti c'è la creazioen dei setup.

Cmq puoi vedere su questo sito:

http://forum.html.it/forum/showthread.php?threadid=1168361



Quello lo sapevo, ma se uso un progetto Installazione mi chiede il framework 3.5 anche se ho installato il 2.0 e SETTATO il progetto del mio programma con il 2.0...

Testo quotato

Postato originariamente da BigMitch:
Oppure puoi usare un programma che t'aiuta a crearli come CyberInstall Stubio che serve a creare pacchetti d'installazione per diversi progetti come VB6,VB.NET,C++ ti posto il link:

http://www.silvercybertech.com/italian/studio.html



Quello che serve a me non è tanto l'installazione, ma è la possibilità di non far installare sulla macchina il framework 3.5 come requisito (premetto che gli oggetti del mio programma sono quelli del 2.0 e il progetto dipende solo dal 2.0).

CyberInstall mi permette di installare un programma su una macchina dove il FRAMEWORK è il 2.0 SENZA CHE MI SIA RICHIESTA l'INSTALLAZIONE del 3.5?

Grazie comunque per la considerazione... :k::k::k:


Fatti non foste a viver come bruti ma per seguire virtude e canoscienza.

Il computer del primo Modulo Lunare era potente non più di un cellulare dei nostri giorni.
Perchè WINDOWS VISTA ha bisogno di 2GB di ram per funzionare?
PM Quote
Avatar
BigMitch (Member)
Rookie


Messaggi: 43
Iscritto: 15/02/2009

Segnala al moderatore
Postato alle 17:11
Giovedì, 30/07/2009
In merito al programma CyberInstall ti posso dire oltre che è un programma a pagamento e nella versione di prova hai tutte le funzionalità attive ma nel pacchetto ti si inserirà un voce che dice che usi il programma demo ma non è un problema. Poi nel TUO BISOGNO DI ALLEGATE AL PACCHETTO IL FRAMEWORK 2.0 il programma CyberInstall nella creazione ti chiederà di allegare il FRAMEWORK e li tu vai bello su internet te lo scarichi e dopo lo alleghi.

Ciao ;):k:


Michele
PM Quote
Avatar
Che Guevara (Normal User)
Pro


Messaggi: 117
Iscritto: 30/03/2006

Segnala al moderatore
Postato alle 1:32
Domenica, 02/08/2009
Testo quotato

Postato originariamente da BigMitch:
Poi nel TUO BISOGNO DI ALLEGATE AL PACCHETTO IL FRAMEWORK 2.0 il programma CyberInstall nella creazione ti chiederà di allegare il FRAMEWORK e li tu vai bello su internet te lo scarichi e dopo lo alleghi.



Questo è il punto...
Anche con un pacchetto di installazione normale posso
includere l'installazione del framework senza che l'utente...

Il prob è che una installazione normale vuole il 3.5...
Non l'ho ancora provato, ma CyberInstall può installare
chiedendo come requisito anche solo il 2.0?

Grazie ugualmente dell'aiuto BigMitch :k::k::k:


Fatti non foste a viver come bruti ma per seguire virtude e canoscienza.

Il computer del primo Modulo Lunare era potente non più di un cellulare dei nostri giorni.
Perchè WINDOWS VISTA ha bisogno di 2GB di ram per funzionare?
PM Quote